## interception-tools 0.6.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(interception-tools)

find_package(Boost REQUIRED)
find_package(Threads REQUIRED)

find_package(PkgConfig)
pkg_check_modules(LIBEVDEV REQUIRED libevdev)

add_executable(udevmon udevmon.cpp)
target_include_directories(udevmon PRIVATE ${LIBEVDEV_INCLUDE_DIRS})
target_compile_options(udevmon PRIVATE -Wall -Wextra -pedantic -std=c++11)
target_link_libraries(udevmon evdev udev yaml-cpp)

add_executable(intercept intercept.c)
target_include_directories(intercept PRIVATE ${LIBEVDEV_INCLUDE_DIRS})
target_compile_options(intercept PRIVATE -Wall -Wextra)
target_link_libraries(intercept evdev)

add_executable(uinput uinput.cpp)
target_include_directories(uinput PRIVATE ${LIBEVDEV_INCLUDE_DIRS})
target_compile_options(uinput PRIVATE -Wall -Wextra -pedantic -std=c++11)
target_link_libraries(uinput evdev udev yaml-cpp)

add_executable(mux mux.cpp)
target_include_directories(mux PRIVATE ${Boost_INCLUDE_DIRS})
target_compile_options(mux PRIVATE -Wall -Wextra -pedantic -std=c++11 -DBOOST_DATE_TIME_NO_LIB)
target_link_libraries(mux Threads::Threads rt)

install(TARGETS udevmon RUNTIME DESTINATION bin)
install(TARGETS intercept RUNTIME DESTINATION bin)
install(TARGETS uinput RUNTIME DESTINATION bin)
install(TARGETS mux RUNTIME DESTINATION bin)

=== debian/changelog ===
interception-tools (0.6.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113051)

 -- Adrian Bunk <bunk@debian.org>  Mon, 13 Oct 2025 20:48:31 +0300

interception-tools (0.6.8-3) unstable; urgency=medium

  * Provide udevmon.service
  * Create /etc/interception/udevmon.d

 -- Osamu Aoki <osamu@debian.org>  Sun, 18 Sep 2022 07:55:35 +0900

interception-tools (0.6.8-2) unstable; urgency=medium

  * Source only upload. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 16 Sep 2022 07:02:47 +0900

interception-tools (0.6.8-1) unstable; urgency=medium

  * Initially, I tried to reuse packaging by Ethan Djeric <me@ethandjeric.com>
    found in Ubuntu PPA.  Eventually I ended up redoing the entire packaging.
    I also addressed hardening, autopkgtest, manpages, non-native package
    format, updated dependency, etc..
  * Correct COPYRIGHT: GPL-3
  * Initial release. Closes: #1011749

 -- Osamu Aoki <osamu@debian.org>  Mon, 08 Aug 2022 10:31:20 +0900

=== debian/control ===
Source: interception-tools
Section: admin
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libevdev-dev,
               libudev-dev,
               libyaml-cpp-dev,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://gitlab.com/interception/linux/tools
Vcs-Git: https://salsa.debian.org/debian/interception-tools.git
Vcs-Browser: https://salsa.debian.org/debian/interception-tools
Rules-Requires-Root: no

Package: interception-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: interception-tools-compat
Description: minimal composable infrastructure on top of libudev and libevdev
 The Interception Tools is a small set of utilities for operating on
 input events of evdev devices.
 .
  * interception - redirect device input events to stdout
  * uinput - redirect device input events from stdin to virtual device
  * mux - mux streams of input events
  * udevmon - monitor input devices for launching tasks
 .
 This can accommodate mangling of the keyboard input at the low
 level within the Linux kernel and works for any environments
 including Wayland, X, and Linux virtual console.
 .
 The upstream command name 'intercept' is renamed to 'interception' in this
 package to avoid the name collision. If you wish to use command names which
 the upstream uses, please install the interception-tools-compat package.

Package: interception-tools-compat
Architecture: all
Depends: interception-tools, ${misc:Depends}
Conflicts: bear
Description: minimal composable infrastructure on top of libudev and libevdev
 The Interception Tools is a small set of utilities for operating on
 input events of evdev devices.
 .
  * intercept - redirect device input events to stdout
 .
 This compatibility package to offer the upstream command name 'intercept'
 as the alias of the 'interception' command.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@  --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

override_dh_installsystemd:
	cp -f udevmon.service debian/interception-tools.udevmon.service
	dh_installsystemd --name=udevmon
	rm -f debian/interception-tools.udevmon.service

=== debian/watch ===
version=4

https://gitlab.com/interception/linux/tools/tags?sort=updated_desc tags/v@ANY_VERSION@
